image: google/cloud-sdk:alpine

test_production:
  image: golang:alpine
  stage: test
  only:
  - main
  script:
  # - CGO_ENABLED=0 go test ./...
  - CGO_ENABLED=0 go index.ts

deploy_production:
  stage: deploy
  environment: Production
  only:
  - main
  script:
  - echo $SERVICE_ACCOUNT > /tmp/$CI_PIPELINE_ID.json
  - gcloud auth activate-service-account --key-file /tmp/$CI_PIPELINE_ID.json
  - gcloud --quiet --project $PROJECT_ID functions deploy HelloGet --runtime go111 --trigger-http
  after_script:
  - rm /tmp/$CI_PIPELINE_ID.json